Bullet Collision Detection & Physics Library: btMultiBodyMLCPConstraintSolver.cpp File Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Functions | Variables
btMultiBodyMLCPConstraintSolver.cpp File Reference
`#include "BulletDynamics/Featherstone/btMultiBodyMLCPConstraintSolver.h"`
`#include "BulletCollision/NarrowPhaseCollision/btPersistentManifold.h"`
`#include "BulletDynamics/Featherstone/btMultiBodyLinkCollider.h"`
`#include "BulletDynamics/Featherstone/btMultiBodyConstraint.h"`
`#include "BulletDynamics/MLCPSolvers/btMLCPSolverInterface.h"`
Include dependency graph for btMultiBodyMLCPConstraintSolver.cpp:

Go to the source code of this file.

## Classes
struct | btJointNode1

## Macros
#define | DIRECTLY_UPDATE_VELOCITY_DURING_SOLVER_ITERATIONS

## Functions
static btScalar | computeDeltaVelocityInConstraintSpace (const btVector3 &angularDeltaVelocity, const btVector3 &contactNormal, btScalar invMass, const btVector3 &angularJacobian, const btVector3 &linearJacobian)
static btScalar | computeDeltaVelocityInConstraintSpace (const btVector3 &angularDeltaVelocity, btScalar invMass, const btVector3 &angularJacobian)
static btScalar | computeDeltaVelocityInConstraintSpace (const btScalar *deltaVelocity, const btScalar *jacobian, int size)
static btScalar | computeConstraintMatrixDiagElementMultiBody (const btAlignedObjectArray< btSolverBody > &solverBodyPool, const btMultiBodyJacobianData &data, const btMultiBodySolverConstraint &constraint)
static btScalar | computeConstraintMatrixOffDiagElementMultiBody (const btAlignedObjectArray< btSolverBody > &solverBodyPool, const btMultiBodyJacobianData &data, const btMultiBodySolverConstraint &constraint, const btMultiBodySolverConstraint &offDiagConstraint)

## Variables
static bool | interleaveContactAndFriction1 = false

## Macro Definition Documentation

## ◆ DIRECTLY_UPDATE_VELOCITY_DURING_SOLVER_ITERATIONS

#define DIRECTLY_UPDATE_VELOCITY_DURING_SOLVER_ITERATIONS

Definition at line 23 of file btMultiBodyMLCPConstraintSolver.cpp.

## Function Documentation

## ◆ computeConstraintMatrixDiagElementMultiBody()

static btScalar computeConstraintMatrixDiagElementMultiBody | ( | const btAlignedObjectArray< btSolverBody > & | solverBodyPool,
|  | const btMultiBodyJacobianData & | data,
|  | const btMultiBodySolverConstraint & | constraint
| ) |  |
| static

Definition at line 66 of file btMultiBodyMLCPConstraintSolver.cpp.

## ◆ computeConstraintMatrixOffDiagElementMultiBody()

static btScalar computeConstraintMatrixOffDiagElementMultiBody | ( | const btAlignedObjectArray< btSolverBody > & | solverBodyPool,
|  | const btMultiBodyJacobianData & | data,
|  | const btMultiBodySolverConstraint & | constraint,
|  | const btMultiBodySolverConstraint & | offDiagConstraint
| ) |  |
| static

Definition at line 117 of file btMultiBodyMLCPConstraintSolver.cpp.

## ◆ computeDeltaVelocityInConstraintSpace() [1/3]

static btScalar computeDeltaVelocityInConstraintSpace | ( | const btScalar * | deltaVelocity,
|  | const btScalar * | jacobian,
|  | int | size
| ) |  |
| static

Definition at line 57 of file btMultiBodyMLCPConstraintSolver.cpp.

## ◆ computeDeltaVelocityInConstraintSpace() [2/3]

static btScalar computeDeltaVelocityInConstraintSpace | ( | const btVector3 & | angularDeltaVelocity,
|  | btScalar | invMass,
|  | const btVector3 & | angularJacobian
| ) |  |
| static

Definition at line 48 of file btMultiBodyMLCPConstraintSolver.cpp.

## ◆ computeDeltaVelocityInConstraintSpace() [3/3]

static btScalar computeDeltaVelocityInConstraintSpace | ( | const btVector3 & | angularDeltaVelocity,
|  | const btVector3 & | contactNormal,
|  | btScalar | invMass,
|  | const btVector3 & | angularJacobian,
|  | const btVector3 & | linearJacobian
| ) |  |
| static

Definition at line 36 of file btMultiBodyMLCPConstraintSolver.cpp.

## Variable Documentation

## ◆ interleaveContactAndFriction1

bool interleaveContactAndFriction1 = false
| static

Definition at line 25 of file btMultiBodyMLCPConstraintSolver.cpp.